# Role : docker_loomio


## Services fournis

Installation de loomio sur un serveur docker_host


## Variables

Fournir les variables suivantes. Par exemple :

```yaml
docker_loomio_fqdn: loomio.example.com
docker_loomio_name: My Loomio Site
docker_loomio_version: v2.15.3
docker_loomio_data_dir: /data1
docker_loomio_service_id: loomio
docker_loomio_reply_to: nepasrepondre-loomio@example.com
docker_loomio_smtp_server: smtp.example.com
docker_loomio_db_name: loomio
docker_loomio_db_user: loomiodbuser
docker_loomio_db_password: mdp_de_loomiodbuser
docker_loomio_devise_secret: ici_le_devise_secret
docker_loomio_secret_cookie_token: ici_le_secret_cookie_token
```

| Option                                      | Valeur par défaut | Description                                                                               |
|---------------------------------------------|-------------------|-------------------------------------------------------------------------------------------|
| docker_loomio_fqdn                          |                   | Le nom de domaine pour lequel le service loomio répond                                    |
| docker_loomio_name                          |                   | Le nom affiché par le service loomio                                                      |
| docker_loomio_version                       |                   | La version de l'image docker loomio                                                       |
| docker_loomio_data_dir                      |                   | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_loomio_service_id                    |                   | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_loomio_reply_to                      |                   | L'adresse d'expéditeur des courriels envoyés par le service                               |
| docker_loomio_smtp_server                   |                   | L'adresse du serveur smtp par lequel le service envoie les courriels                      |
| docker_loomio_db_name                       |                   | Nom de la base de données postgres pour loomio                                            |
| docker_loomio_db_user                       |                   | Nom du user postgres propriétaire de la base de données                                   |
| docker_loomio_db_password                   |                   | Mot du passe du user postgres                                                             |
| docker_loomio_devise_secret                 |                   | s'obtient avec openssl rand -base64 48                                                    |
| docker_loomio_secret_cookie_token           |                   | s'obtient avec openssl rand -base64 48                                                    |
| docker_loomio_features_disable_create_user  | false             | Si true, désactive la possibilité de créer un utilisateur sans invitation                 |
| docker_loomio_features_disable_create_group | false             | Si true, désactive la possibilité pour les utilisateurs de créer des groupes              |


## Point d'attention

Le fonctionnement de loomio nécessite deux urls dont il faut tenir compte (DNS notamment) : 
* une décrite dans docker_loomio_fqdn
* une seconde qui correspond à channels.{{ docker_loomio_fqdn }}

## Première installation dans loomio

A la première exécution du playbook, la base de données est initialisée et des valeurs sont proposées pour docker_loomio_devise_secret et docker_loomio_secret_cookie_token qu'il suffit de reporter dans les variables ansible. Relancer ensuite le playbook après avoir renseigné ces variables.

Se connecter à loomio et enregistrer un premier utilisateur, pui promouvoir celui-ci en administrateur de l'instance loomio par :
```
docker-compose run app rails c
User.last.update(is_admin: true)
```

La console d'administration répond à https://docker_loomio_fqdn/admin
